summaryrefslogtreecommitdiff
path: root/scripts/coccinelle/check_cocci_parse.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/coccinelle/check_cocci_parse.sh')
-rwxr-xr-xscripts/coccinelle/check_cocci_parse.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/scripts/coccinelle/check_cocci_parse.sh b/scripts/coccinelle/check_cocci_parse.sh
index 5c27c7bc88..220b405940 100755
--- a/scripts/coccinelle/check_cocci_parse.sh
+++ b/scripts/coccinelle/check_cocci_parse.sh
@@ -30,6 +30,7 @@ if test $# -ge 1 ; then
"$try_parse" "$@"
exitcode=$?
else
+ cd "$top" || exit 1
# This is the layout in 0.3.5
"$try_parse" \
src/lib/*/*.[ch] \